RPMSPEC(1)

NOM
rpmspec – Outil pour les fichiers spec RPM

SYNOPSIS
rpmspec {-q|--query} [options] [options-requête] FICHIER_SPEC ...

rpmspec {-P|--parse} [options] FICHIER_SPEC ...

rpmspec --shell [options] [FICHIER_SPEC ...]

DESCRIPTION
rpmspec est un outil pour s’informer sur un fichier spec, plus précisément pour rechercher des paquets hypothétiques qui seraient créés à partir du fichier spec indiqué. Ainsi s’informer sur un fichier spec avec rpmspec est similaire à s’informer sur une construction de paquet à partir de ce fichier spec, mais ce n’est pas identique. Avec rpmspec il n’est pas possible de s’informer sur tous les champs possibles d’un paquet construit. Par exemple, il n’est pas possible de s’informer sur BUILDTIME avec rpmspec pour des raisons manifestes. Il est aussi impossible de s’informer automatiquement sur d’autres champs générés pendant la construction d’un paquet tels que les dépendances générées automatiquement.

OPÉRATIONS
-q, --query
    Interroger pour les entêtes analysés syntaxiquement, de manière similaire à l’interrogation des paquets.

-P, --parse
    Afficher les fichiers spec analysés syntaxiquement sur la sortie standard. C’est-à-dire que les instructions conditionnelles sont gérées, les macros analysées et ainsi de suite.

--shell
    Invoquer un interpréteur de commandes interactif pour l’inspection des macros, facultativement après l’analyse syntaxique d’un fichier spec. Utile principalement pour le débogage.

ARGUMENTS
SPECFILE
    Fichier spec RPM utilisé pour la construction de paquets avec rpmbuild(8).

OPTIONS
Consulter rpm-common(8) pour les options communes à toutes les opérations.

OPTIONS INTERROGATIVES
--qf FORMAT, --queryformat FORMAT
    Spécifier le format de sortie pour les interrogations sur spec. Consulter rpm-queryformat(7) pour plus de détails.

--rpms
    Opérer sur tous les entêtes de paquet binaire générés à partir du fichier spec.

--builtrpms
    Opérer seulement sur les entêtes d’un paquet binaire qui serait construit à partir du fichier spec. Cela signifie ignorer les entêtes d’un paquet qui ne serait pas construit à partir du fichier spec, c’est-à-dire ignorer les entêtes de paquet sans section file.

--srpm
    Opérer sur le(s) entête(s) de paquet source généré(s) à partir du fichier spec.

ENVIRONNEMENT
Consulter rpm-common(8).

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpmspec -q rpm.spec
    Obtenir une liste des paquets binaires qui seraient générés à partir du fichier spec RPM, par exemple :
        rpm-4.11.3-3.fc20.x86_64
        rpm-libs-4.11.3-3.fc20.x86_64
        rpm-build-libs-4.11.3-3.fc20.x86_64
        ...

rpmspec -q --qf "%{name}: %{summary}n" rpm.spec
    Obtenir des informations brèves pour les paquets binaires simples générés à partir du fichier spec RPM, par exemple, :
        rpm : système de gestion de paquet RPM
        rpm-libs : bibliothèques de manipulation de programme RPM
        rpm-build-libs : bibliothèques de construction et de signature de paquets RPM
        ...

rpmspec -q --srpm rpm.spec
    Obtenir le paquet source qui serait généré à partir du fichier spec RPM, par exemple :
        rpm-4.11.3-3.fc20.x86_64

rpmspec -P rpm.spec
    Analyser syntaxiquement le fichier spec RPM et afficher le résultat sur la sortie standard, par exemple :
        Résumé : le système de gestion de paquet RPM
        Nom : rpm
        Version : 4.14.0
        ...

rpmspec --shell
    Exécuter un interpréteur de commandes interactif pour le débogage de macros, par exemple :
        > %define toto titi
        > %toto
        titi
        > %(date)
        Mar Avr. 13 03:55:37 PM EEST 2021
        > %getncpus
        8

rpmspec --shell popt.spec
    Exécuter un interpréteur de commandes de macros interactif dans le contexte de fichier spec, par exemple :
        %nom
        popt
        %version
        1.18

VOIR AUSSI
popt(3), rpm(8), rpmbuild(1), rpm-queryformat(7), rpm-macros(7)

rpmspec --help Comme rpm(8) gère la personnalisation d’alias à distance de popt(3), il est impossible de garantir que ce qui est décrit dans ce manuel correspondra à ce qui sera obtenu.

http://www.rpm.org/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.